# wand.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/magick-wand-private.h"`
`#include "wand/wand.h"`

## Functions

WandExport unsigned long | AcquireWandId (void)
WandExport void | RelinquishWandId (const unsigned long id)

## Variables

static SplayTreeInfo * | wand_ids = (SplayTreeInfo *) NULL
static MagickBooleanType | instantiate_wand = MagickFalse
static SemaphoreInfo * | wand_semaphore = (SemaphoreInfo *) NULL

## Function Documentation

WandExport unsigned long AcquireWandId | ( | void |  | ) |

WandExport void RelinquishWandId | ( | const unsigned long | id | ) |

## Variable Documentation

MagickBooleanType instantiate_wand = MagickFalse`[static]`

SplayTreeInfo* wand_ids = (SplayTreeInfo *) NULL`[static]`

SemaphoreInfo* wand_semaphore = (SemaphoreInfo *) NULL`[static]`